Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

The ability to relate wiki pages in a parent/child fashion can be very useful.  Many times wiki pages are implicitly

linked by simply using wiki links but to create backlinks or breadcrumbs you have to manually add all of the wiki links.

If pages could be explicitly linked then backlinks could be added to the page automatically.  In addition, a special

tag could render a table of the child pages of any given page.

I will add a patch for all of this functionality in "Patches".  See the attached screenshots for examples.

Related issues:

Related to Redmine - Patch #243: Patch for Feature 16645 - Wiki Page Hierarch... Closed

Associated revisions

Revision 1698 - 2008-07-26 13:46 - Jean-Philippe Lang

Wiki page hierarchy (#528). Parent page can be assigned on Rename screen.

Revision 1699 - 2008-07-26 14:54 - Jean-Philippe Lang

Adds child_pages macro for wiki pages (#528).

History

#1 - 2008-01-12 12:25 - Jean-Philippe Lang

I find your patch pretty usefull.

Does anybody else interested in this functionality ?

#2 - 2008-01-20 17:03 - jesse keys

+1

I would really like this feature.

It reminds me of mediawiki's index feature, which I was just

about to request. So please include an index based on the headings

of a current page also.

#3 - 2008-03-06 15:58 - Rodolphe Quiédeville

+1

#4 - 2008-03-13 00:34 - Jean-Philippe Lang

- Target version set to 0.8

#5 - 2008-04-02 15:34 - Curtis Stewart

I would really like this feature also.

I am currently having some users build a set of custom help screens for an application. This app. is of course, being tracked has a project. This

proposed feature will allow us to relate the help screens and not deal with the other wika pages that are in the project supporting the help desk and

developers.  All of the help screens would be in the proposed parent /child relationship.

#6 - 2008-04-17 16:48 - Carl Nygard

Perhaps a stupid idea, but is it possible to build the breadcrumbs from noting which page you traversed from?

Pro:
multiply linked pages (i.e. multiple ways to get to PageX) would have proper trail

it-just-works, easier than having to maintain links explicitly

Con:

passing URL to someone to access directly wouldn't have any breadcrumb history

#7 - 2008-04-28 14:39 - Sergej Jegorov

+1

#8 - 2008-05-15 03:54 - mao mao

+1

#9 - 2008-05-19 19:09 - Thomas Capricelli

+1

#10 - 2008-05-23 08:50 - dop in

+1

#11 - 2008-06-13 10:24 - Jone Marius Vignes

+1

#12 - 2008-06-18 18:57 - Mario Moreira

+1

#13 - 2008-06-26 22:05 - rupert thurner

is this exposed like ParentPage/Childpage in the url? or is it more like a category, or a tag of a page?

#14 - 2008-07-23 14:20 - Sascha Egerer

+1

#15 - 2008-07-26 13:48 - Jean-Philippe Lang

- Category set to Wiki

- Status changed from New to Closed

- Resolution set to Fixed

Functionality added in r1698.

Implementation is different from patch #243 but it's database compatible (column parent_id added to wiki_pages table) so people how have applied

this patch can safely use the mainline implementation instead.

Parent page assignment is done on the Rename screen.

#16 - 2008-07-27 02:33 - Chris Miller

Jean-Philippe Lang wrote:

Functionality added in r1698.

Implementation is different from patch #243 but it's database compatible (column parent_id added to wiki_pages table) so people how have

applied this patch can safely use the mainline implementation instead.

Parent page assignment is done on the Rename screen.

 Holy crud yes!  Thank you!  That is awesome!  I cannot wait for 0.8 now!  You rock!

#17 - 2008-08-02 18:44 - clawfrown clawfrown

Can anybody please make a patch for version 0.7.3?

I need this feature very much, but if I try to apply changes onto 0.7.3 - it doesn't work correctly.

#18 - 2008-08-03 15:08 - Sascha Egerer

why you don't upgrade to the latest version. the patch is already included there
#19 - 2008-08-04 10:39 - clawfrown clawfrown

Sascha Egerer wrote:

why you don't upgrade to the latest version. the patch is already included there

 I'd like to very much and will do that later, but at the moment I have difficulties with installation of Rails 2.1 + it requires time for setup etc. which i don't

have now..

But need to put alot of info to wiki now (without this function it is a pain to write down breadcrumbs manually).

#20 - 2011-01-06 00:03 - Kimus Linuxus

strangely I don't have this feature in the current stable release of redmine!?
